package edu.udo.cs.uschi;

import java.util.Vector;
import java.lang.Double;
import edu.udo.cs.uschi.MembershipObject;


public class MembershipVector extends Vector
{
    public void add(int trueclass, double[] memberships)
    {
	Object o = new MembershipObject(trueclass,memberships);
	super.add(o);
    };


    public double[] membershipsAt(int index)
    {
	MembershipObject o = (MembershipObject)elementAt(index);
	return o.memberships;
    };


    public int trueclassAt(int index) 
    {
	MembershipObject o = (MembershipObject)elementAt(index);
	return o.trueclass;
    };


    public int predictedclassAt(int index) 
    {
	MembershipObject o = (MembershipObject)elementAt(index);
	return o.predictedclass;
    };
};
